import rp2
from machine import Pin
import utime

@rp2.asm_pio(set_init=(rp2.PIO.OUT_LOW))
def blink ():
    wrap_target()
    set(pins,1) [31]
    nop() [31]
    nop() [31]
    nop() [31]
    nop() [31]
    #160 cycles
    set (pins,10) [31]
    nop() [31]
    nop() [31]
    nop() [31]
    nop() [31]
    wrap()

sm = rp2.StateMachine(0,blink,freq=2000,set_base=machine.Pin(25))

while True:
    print("State machine starting...")
    sm.active(1)
    utime.sleep(1)
    print("State machine stopping...")
    sm.active(0)
    utime.sleep(1)
                    